<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\SammelVertraege\Ablehnen\Formular;

class SammelVertraegeAblehnenController extends \Kufer\Web\KuferTools\Dozent\SammelVertraege\AkzeptierenOderAblehnen\Formular\SammelVertraegeAkzeptierenOderAblehnenController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new SammelVertraegeAblehnenUseCase($this->getRequestObj());
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new SammelVertraegeAblehnenPresenter($pUseCaseResponse);
  }
}